<template>
  <div>
    <div>
      <h2 class="text-center p-5">لیست سفارش ها</h2>
      <hr class="mx-4" />
      <div class="sm:hidden">
        <nav class="flex justify-between p-2" aria-label="Tabs">
          <div
            v-for="tab in tabs"
            @click="selectTab(tab)"
            :class="{ 'bg-[#ffe8eb]': tab.current }"
            class="text-gray-500 hover:text-gray-700 px-3 py-2 font-medium text-sm rounded-full"
          >
            {{ tab.name }}
          </div>
        </nav>
      </div>
      <hr class="mx-4" />
      <div v-if="tabs[0].current">
        <div class="bg-[#f8f6f6] text-center rounded-3xl mx-4 p-2 my-2">
          <p>این سفارش با موفقیت ثبت شد</p>
        </div>
        <div class="grid grid-cols-1 text-right my-2">
          <div>
            <p class="text-[#8c8d8e] mt-3 font-extrabold">
              شماره فاکتور:
              <span class="text-[#444545] mr-3"> 1456650987 </span>
            </p>
          </div>
          <div>
            <p class="text-[#8c8d8e] mt-3 font-extrabold">
              تاریخ ثبت شفارش:
              <span class="text-[#444545] mr-3">
                10 مرداد 1401 ساعت 14:01
              </span>
            </p>
          </div>
          <div>
            <p class="text-[#8c8d8e] mt-3 font-extrabold">
              قیمت تمام شده :
              <span class="text-[#444545] mr-3">450 هزار تومان</span>
            </p>
          </div>
          <div class="grid grid-cols-2 gap-1">
            <p class="text-[#8c8d8e] mt-3 font-extrabold">
              هزینه ارسال:
              <span class="text-[#444545] mr-3">رایگان</span>
            </p>
            <p class="font-extrabold text-[#ed3f55] my-auto text-left ml-4">
              لغو سفارش
            </p>
          </div>
        </div>
        <hr class="mx-4" />
      </div>
      <div v-if="tabs[1].current">
        <div class="grid grid-cols-4 text-right my-2">
          <div class="col-span-3">
            <div>
              <p class="text-[#8c8d8e] mt-3 font-extrabold">
                شماره فاکتور:
                <span class="text-[#444545] mr-3"> 1456650987 </span>
              </p>
            </div>
            <div>
              <p class="text-[#8c8d8e] mt-3 font-extrabold">
                تاریخ ثبت شفارش:
                <span class="text-[#444545] mr-3">
                  10 مرداد 1401 ساعت 14:01
                </span>
              </p>
            </div>
            <div>
              <p class="text-[#8c8d8e] mt-3 font-extrabold">
                قیمت تمام شده :
                <span class="text-[#444545] mr-3">450 هزار تومان</span>
              </p>
            </div>
            <div>
              <p class="text-[#8c8d8e] mt-3 font-extrabold">
                هزینه ارسال:
                <span class="text-[#444545] mr-3">رایگان</span>
              </p>
            </div>
          </div>

          <div class="grid grid-rows-2">
            <div class="m-auto">
              <div class="relative w-12 h-12 bg-[#bff7d4] rounded-full">
                <img
                  class="absolute gCheck"
                  src="/mobile/profile/fi-rr-check.svg"
                  alt=""
                />
              </div>
            </div>

            <nuxt-link to="/mobile/listOrder/1"
              class="font-extrabold text-sm text-[#ed3f55] my-auto text-left ml-4"
            >
              مشاهده جزییات
            </nuxt-link>
          </div>
        </div>
        <hr class="mx-4" />
   
      </div>
      <div v-if="tabs[2].current">
        <div class="grid grid-cols-4">
          <div class="col-span-3 grid grid-rows-2">
            <div>
              <p class="text-[#8c8d8e] mt-3 font-extrabold">
                تاریخ ثبت شفارش:
                <span class="text-[#444545] mr-3">
                  10 مرداد 1401 ساعت 14:01
                </span>
              </p>
            </div>
            <div>
              <p class="text-[#8c8d8e] mt-3 font-extrabold">
                قیمت کل:
                <span class="text-[#444545] mr-3"> 450 هزار تومان </span>
              </p>
            </div>
          </div>
          <div class="m-auto text-center">
            <div class="relative w-12 h-12 pink_white_gradient rounded-full">
              <img
                class="absolute gggg"
                src="/mobile/profile/fi-rr-cross-small.svg"
                alt=""
              />
            </div>
          </div>
        </div>
      </div>
    </div>
   
  </div>
</template>

<script>
export default {
  data() {
    return {
      tabs: [
        { name: ' در حال پردازش', current: true },
        { name: 'ارسال شده', current: false },
        { name: ' لغو شده', current: false },
      ],
    }
  },
  methods: {
   
    selectTab(selectedTab) {
      this.tabs.forEach((tab) => {
        tab.current = tab.name == selectedTab.name
      })
    },
  },
}
</script>

<style lang="scss" scoped>
.gggg {
  top: calc(50% - 8px); /* 50% - 3/4 of icon height */
  right: calc(50% - 8px);
}
.gCheck {
  top: calc(50% - 8px); /* 50% - 3/4 of icon height */
  right: calc(50% - 12px);
}
</style>
